import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

public class ShortUrlDemo {

	/**
	 * 使用前需要先引入fastjson依赖
	 * 	<dependency>
		    <groupId>com.alibaba</groupId>
		    <artifactId>fastjson</artifactId>
		    <version>1.2.47</version>
	    </dependency>
	 */
	public static void main(String[] args) {
		String res = shortUrl("https://example.com"); //替换为您要生成短链接的原始网址
		System.out.println(res);
	}

	public static String shortUrl(String longUrl) {
		try {
			URL url = new URL("https://c1n.cn/link/short");

			HttpURLConnection connection = (HttpURLConnection) url.openConnection();
			connection.setRequestMethod("POST");
			connection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			connection.setRequestProperty("token", "you_token"); // 替换为您的token
			connection.setDoOutput(true);

			String requestBody = "url=" + URLEncoder.encode(longUrl, "UTF-8") + "&key=&remark=&expiryDate=";
			connection.getOutputStream().write(requestBody.getBytes(StandardCharsets.UTF_8));

			BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
			StringBuilder response = new StringBuilder();
			String line;
			while ((line = reader.readLine()) != null) {
				response.append(line);
			}
			reader.close();
			connection.disconnect();
			JSONObject obj = JSON.parseObject(response.toString());
			if (obj.getInteger("code") == 0) {
				return obj.getString("data");
			}
			System.out.println(obj);
			return "";
		} catch (IOException e) {
			e.printStackTrace();
			return "";
		}
	}

}
